﻿@model  Select2SegmentosViewModel
<div id="@string.Concat(Model.idControleSelect2, "Container")"></div>
<script type="text/javascript">
	$(function () {
		with (new ComponenteSelect2()) {
			with (modelo) {
                ajaxPostApiURL = '@Url.Content("~/api/Select2Segmentos/ObterDescricoesSegmentos")';
				idContainerControle = '@string.Concat(Model.idControleSelect2, "Container")';
				idControle = '@Model.idControleSelect2';
                ajaxIdCampoPesquisaAPI = "DESSGM";
                jsonTexto = "DESSGM";
                jsonValor = "CODSGM";
                caracteresMinimos = 0;
                @if (Model.ativo)
                {
                <text>buscarAtivos = true;</text>
                }
                else
                {
                <text>buscarAtivos = false;</text>
                }
			}
			inicializar(null);
        }
    });

</script>
